package com.xhpc.activity.mapper;

import com.xhpc.activity.domain.XhpcTradebillInternetCheckRecordDomain;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface XhpcTradebillInternetCheckRecordMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(XhpcTradebillInternetCheckRecordDomain record);

    int insertSelective(XhpcTradebillInternetCheckRecordDomain record);

    XhpcTradebillInternetCheckRecordDomain selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(XhpcTradebillInternetCheckRecordDomain record);

    int updateByPrimaryKey(XhpcTradebillInternetCheckRecordDomain record);

    List<XhpcTradebillInternetCheckRecordDomain> selectListByParams(@Param("params") Map<String, Object> params);

    List<Map<String, Object>> selectTotalGroupbyStatus(@Param("params") Map<String, Object> params);

    int insertCheckList(List<XhpcTradebillInternetCheckRecordDomain> paymentCheckList);

    boolean updateStatusByPk(XhpcTradebillInternetCheckRecordDomain record);

    List<Map<String, Object>> selectByParams(Map<String, Object> params);

}